FreeBSD : dropbear -- arbitrary code execution (eba70db4-6640-11e1-98af-00262d8b701d)

High Nessus Plugin ID 58202


The remote FreeBSD host is missing a security-related update.


The Dropbear project reports :

Dropbear SSH Server could allow a remote authenticated attacker to execute arbitrary code on the system, caused by a use-after- free error. If a command restriction is enforced, an attacker could exploit this vulnerability to execute arbitrary code on the system with root privileges.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 58202

File Name: freebsd_pkg_eba70db4664011e198af00262d8b701d.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2012/03/05

Modified: 2013/09/28

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.1

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:H/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:dropbear, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/03/04

Vulnerability Publication Date: 2012/02/22

Reference Information

CVE: CVE-2012-0920

BID: 52159

Secunia: 48147